### Method

# Gck Attributes find_string

#### Declaration [src]

    gboolean
    gck_attributes_find_string (
      GckAttributes* attrs,
      gulong attr_type,
      gchar** value
    )

#### Description [src]

Find an attribute with the specified type in the array.

If the attribute is marked invalid then it will be treated as not found. The resulting string will be null-terminated, and must be freed by the caller using g_free().

#### Parameters

`attr_type`

  Type: `gulong`

  The type of attribute to find.

`value`

  Type: `gchar**`

  The resulting string value.

  The argument will be set by the function.
  The caller of the method takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether a value was found or not.